name: sixam_mart
description: A Multi-vendor Food. Grocery, eCommerce, Pharmacy & Parcel service.
publish_to: 'none' #
version: 1.0.0+1

environment:
  sdk: ^3.10.0

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8
  get: ^4.7.3
  shared_preferences: ^2.5.4
  connectivity_plus: ^7.0.0
  firebase_core: ^4.2.1
  firebase_messaging: ^16.0.4
  flutter_local_notifications: ^19.5.0
#  firebase_crashlytics: ^5.0.5
  firebase_auth: ^6.1.2
  path_provider: ^2.1.5
  pin_code_fields: ^8.0.1
  geolocator: ^14.0.2
  google_maps_flutter: ^2.14.2
  google_maps_flutter_web: ^0.5.14+3
  flutter_typeahead: ^5.2.0
  carousel_slider: ^5.1.1
  shimmer_animation: ^2.2.2+1
  image_picker: ^1.2.1
  image_picker_ios: ^0.8.13+3
  universal_html: ^2.3.0
  flutter_inappwebview: ^6.1.5
  url_launcher: ^6.3.2
  http: ^1.6.0
  web: ^1.1.1
  pointer_interceptor: ^0.10.1+2
  phone_numbers_parser: ^9.0.17
  country_code_picker: ^3.4.1
  cached_network_image: ^3.4.1
  flutter_cache_manager: ^3.4.1
  photo_view: ^0.15.0
  dotted_border: ^3.1.0
  share_plus: ^12.0.1
  expandable_bottom_sheet: ^1.1.1+1
  google_sign_in: ^7.2.0
  google_sign_in_web: ^1.1.0
  flutter_facebook_auth: ^7.1.2
  sign_in_with_apple: ^7.0.1
  flutter_animarker: ^3.2.0
  intl: ^0.20.2
  just_the_tooltip: ^0.0.12
  flutter_slidable: ^4.0.3
  animated_flip_counter: ^0.3.4
  youtube_player_iframe: ^5.2.2
  card_swiper: ^3.0.1
  audioplayers: ^6.5.1
  video_player: ^2.10.1
  flutter_svg: ^2.2.3
  flutter_widget_from_html_core: ^0.17.0
  image: ^4.5.4
  smooth_page_indicator: ^2.0.1
  chewie: ^1.13.0
  location: ^8.0.1
  drift: ^2.30.0
  drift_flutter: ^0.2.8
  syncfusion_flutter_datepicker: ^31.2.18
  flutter_swipe_button: ^2.1.3
  lottie: ^3.3.2
  dropdown_button2: ^2.3.9
  custom_info_window: ^1.0.1
  image_network: ^2.6.0
  file_picker: ^10.3.7
  path: ^1.9.1
  http_parser: ^4.1.2
  vibration: ^3.1.6
  dart_pusher_channels: ^1.2.3
  speech_to_text: ^7.3.0
  permission_handler: ^12.0.1
  app_links: ^7.0.0
  loading_animation_widget: ^1.3.0
  google_map_custom_windows: ^1.1.0
  skeletonizer: ^2.1.0+1
  flutter_xlider: ^3.5.0
  scroll_to_index: any
  rect_getter: ^1.1.0
  pdf: ^3.11.3
  youtube_player_flutter: ^9.1.3
  qr_flutter: ^4.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^6.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/image/
    - assets/image/rider/
    - assets/image/service/
    - assets/language/
    - assets/map/
    - assets/json/

  fonts:
    - family: Roboto
      fonts:
        - asset: assets/font/Roboto-Regular.ttf
          weight: 400
        - asset: assets/font/Roboto-Medium.ttf
          weight: 500
        - asset: assets/font/Roboto-Bold.ttf
          weight: 700
        - asset: assets/font/Roboto-Black.ttf
          weight: 900
